﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  -margin-bottom: 60px;
}

html, body {
    height: 100%;
    margin: 0;
}

.full-height {
    height: 100%;
    background: yellow;
}

.wrap-long {
    -ms-word-break: break-all;
    word-break: break-all;
    /* Non standard for WebKit */
    word-break: break-word;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    hyphens: auto;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  /* Set the fixed height of the footer here */
  height: 60px;
  line-height: 60px; /* Vertically center the text there */
}

/* Winorg CSS */
@import url('https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap');

body {
    font-family: Roboto;
    font-size: 12px;
}

input {
    font-size: 14px !important;
    padding: 5px;
    border: 1px #b9b9b9 solid;
    border-radius: 0px !important;
}

.spinner {
    font-size: 14px;
    animation: fa-spin 2s infinite;
    color: black;
}

.modal-message > .spinner {
    position: relative;
    top: 2px;
}

@keyframes fa-spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(1turn);
    }
}

.bold {
    font-size: 16px;
    font-weight: bold;
}

.uppercase {
    text-transform: uppercase !important;
}

.title-bold {
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase !important;
}

.title-normal {
    font-size: 16px;
    text-transform: uppercase !important;
}

.shadowbox {
    -webkit-box-shadow: 0px 0px 14px -5px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 0px 14px -5px rgba(0,0,0,0.3);
    box-shadow: 0px 0px 14px -5px rgba(0,0,0,0.3);
}

.login-title {
    font-size: 20px;
    font-weight: bold;
}

.low-login-label {
    top: 7px;
}

span.field-validation-error > span {
    font-size: 10px !important;
}

.align-right {
    float: right;
}

a, a:hover {
    color: #3c989b;
    text-decoration: underline;
}

a.btn, a.btn:hover {
    text-decoration: none;
}

.center-block {
    display: flex;
    align-items: center;
    justify-content: center;
}

.center-text {
    text-align: center;
}

.btn {
    font-size: 12px !important;
    border-radius: 2px !important;
}

.btn-secondary-drop, .btn-secondary-drop:hover {
    /*color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;*/

    border-radius: 0px !important;
    color: black;
    background-color: white;
    border: 1px solid #cccccc;
}

.dropdown-item {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
    text-decoration: none;
    font-size: 13px;
}


.dropdown-item-active, dropdown-item-active:hover {
    background-color: #3c989b !important;
    font-weight: bold;
    color: white !important;
}

 .dropdown-menu {
    max-height: 150px;
    overflow-y: auto;
    overflow-x: hidden;
}


.help-dropdown-menu {
    left: -35px !important;
    overflow: hidden;
    max-height: none !important;
    height: auto !important;
}

#unions-container {
    padding: 10px;
    position: relative;
    top: -35px;
    left: 25px;
}

#unions-container .dropdown-toggle {
    padding-left: 7px;
    font-weight: bold;
}

#dropdown-unions-container .dropdown-menu.show {
    left: -160px !important;
    min-width: 185px !important;
    width: auto !important;
    border-radius: 2px !important;
    overflow-x: hidden;
}

/**  STYLE 2 */
#dropdown-unions::-webkit-scrollbar {
    width: 6px;
    background-color: #F5F5F5;
} 
#dropdown-unions::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #aaaaaa;
}

#dropdown-unions::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

.btn-secondary, .btn-secondary:hover {
    border-radius: 0px !important;
    -background-color: #aaaaaa;
    background-color: transparent;
    border: 1px solid #999999;
    color: #333333;
    font-weight: bold;
}

.btn-secondary.disabled, .btn-secondary:disabled {
    color: #999999 !important;
}

.modal-dialog .btn-secondary {
    background-color: white !important;
}

.btn-default, .btn-default:hover {
    background-color: #3c989b !important;
    font-size: 12px;
    font-weight: normal;
    border-radius: 0px !important;
    color: white;
}

img.home {
    height: 20px;
    position: relative;
    top: -2px;
    opacity: 0.6;
}

img.home:hover {
    opacity: 1;
}

.fill-height-or-more {
    min-height: 100%;
    display: flex;
    flex-direction: row;
    height: 100%;
}
    .fill-height-or-more > *:first-child {
        align-self: stretch;
    }

    .fill-height-or-more > -div {
        /* these are the flex items */
        flex-grow: 1;
        flex-shrink: 1;
        flex-basis: auto;

        display: flex;
        justify-content: center;
        flex-direction: column;
    }

.fill-height-or-more-cell {
    min-height: 100%;
    display: flex;
    flex-direction: row;
}

.left-menu-column {
    -background-color: orange;
    position: fixed;
    -z-index: 100000;
    top: 0;
    left: 0px;
    width: 250px;
    min-width: 250px;
    max-width: 250px;
    height: 100%;
    padding-left: 30px;
    background-color: white;
    z-index: 1000;
}

.left-menu-column-mock {
    -background-color: green;
    width: 250px;
    min-width: 250px;
    max-width: 250px;
    height: 100%;
    padding: 0px;
}

.modal-backdrop.show {
    z-index: 10000 !important;
}

.modal {
    z-index: 10001 !important;
}

.modal-body {
    font-size: 12px !important;
}

.content-menu-column {
    /*background-color: blue;*/
    /*border-left: 20px solid white;
    border-right: 20px solid white;
    border-top: 20px solid white;*/
    /*height: 100%;*/
    -border: 30px solid #f6f7f5;
    background-color: #f6f7f5;
    padding: 20px 20px 0px 20px;
    vertical-align: top;
}

/* main layout menu*/
.menu-container {
    min-height: 100%;
    /*width: 90%;*/
    display: -moz-box;
    display: -webkit-flexbox;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: -moz-flex;
    display: flex;
    -webkit-flex-direction: row;
    -moz-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    height: 100%;
}

.eye-password, .eye-password:hover {
    display: inline-block;
    position: absolute;
    right: -10px;
    top: 7px;
    font-size: 16px;
    opacity: 0.6;
    text-decoration: none;
    color: black;
    cursor: pointer;
}

.left-menu {
    width: 100px;
    /*background-color: blue;*/
    padding-right: 0px !important;
    height: 100%;
    flex: 1;
}

.left-menu-icon {
    display: inline-block;
    font-size: 18px !important;
    width: 20px;
    margin-right: 5px;
    position: relative;
    top: 2px;
}

label.inline-title {
    display: block;
    font-size: 10px;
    font-weight: normal;
    text-transform: none;
    margin: 0px;
}

label.inline-data {
    display: block;
    font-size: 14px;
    font-weight: bold;
    margin: 0px;
}


.data-block {
    background-color: #f6f7f5;
    padding: 10px;
}

.truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.menu-vertical-separator {
    background-color: #f6f7f5;
    min-width: 20px;
    max-width: 20px;
}

.menu-horiz-separator {
    background-color: #f6f7f5;
    min-width: 100%;
    width: 100%;
    min-height: 20px;
    height: 20px;
}

.right-content {
    position: relative;
    -moz-box-flex: 1;
    -webkit-flex: 1;
    -moz-flex: 1;
    -ms-flex: 1;
    flex: 1;
    background-color: #f6f7f5;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    padding: 25px;

}

.right-content-body {
    background-color: white;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.menu-item-logo {
    text-align: center;
    padding: 10px;
}

.menu-item-userinfo {
    color: #333333;
    font-size: 11px;
    font-weight: 100;
    text-align: left;
    padding-left: 10px;
    /*padding-top: 250px;*/
    position: absolute;
    bottom: 50px;
}

.menu-item-userenv {
    color: black;
    width: 190px;
    border-radius: 3px;
    font-size: 11px;
    font-weight: normal;
    text-align: center;
    position: absolute;
    padding: 5px;
    bottom: 110px;
}

.menu-item, .menu-item:hover {
    padding: 15px;
    font-size: 12px;
    font-weight: bold;
    text-transform: uppercase;
    border-bottom: 1px solid #3c989b;
    display: block;
    color: black;
    text-decoration: none;
}

.menu-item-first {
    border-top: 1px solid #3c989b;
}

    .menu-item a, .menu-item a:hover {
        color: black;
        text-decoration: none;
    }

.menu-item-active {
    background-color: #3c989b;
    color: white;
}

.menu-item-active a, .menu-item-active a:hover {
    color: white;
    text-decoration: none;
}

.menu-logout, .menu-logout:hover {
    color: black;
    text-decoration: none;
    background-color: #FFFFFF; /* Green */
    border: none;
}


.modal-content{
    border-radius: 0px !important;
}

/* model dialogs */
.vertical-alignment-helper {
    display: table;
    height: 100%;
    width: 100%;
}

.vertical-align-center {
    /* To center vertically */
    display: table-cell;
    vertical-align: middle;
    /*position: absolute;
    top: 50%;
    left: 50%;
    font-size: 50px;
    color: white;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);*/
}

.modal-content {
    /* Bootstrap sets the size of the modal in the modal-dialog class, we need to inherit it */
    width: inherit;
    height: inherit;
    /* To center horizontally */
    margin: 0 auto;
}


.current-employer-area {
    padding-top: 30px;
}

.current-employer-area .employer-title {
    font-size: 10px !important;
    padding: 20px;
    font-weight: bold;
    color: #666666;
    padding-bottom: 5px;
}

.current-employer-area .employer-name {
    font-size: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

.current-employer-area .employer-change-link {
    font-size: 10px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 5px;
}


#main-message-counter-container {
    position: relative;
    -width: 25px;
    right: 0px;
    top: -1px;
    -left: 190px;
    display:inline-block;
}

.message-counter {
    background-color: red;
    padding: 0px 6px 0px 6px;
    border-radius: 50px;
    color: white;
    font-size: 12px;
    display: inline-block;
}
.datepicker {
    font-size: 11px !important;
    width: 75px;
}

.datepicker-icon {
    /*position: relative;
        top: 2px;
        left: 0px;*/
    color: white;
    font-size: 14px;
    background-color: #3c989b;
    border-left: none;
    cursor: pointer;
    height: 26px;
    padding-top: 6px;
    padding-left: 6px;
    padding-right: 6px;
    float: right;
}

.datepicker .active.day {
    background-color: #3c989b !important;
}

.datepicker-clear-icon {
    font-size: 12px;
    padding: 7px;
    color: #666666;
    cursor: pointer;
}

/* placeholders */
/* WebKit, Blink, Edge */
.form-control::-webkit-input-placeholder {
    color: #bbbbbb;
    font-size: 12px;
}
/* Mozilla Firefox 4 to 18 */
.form-control:-moz-placeholder {
    color: #bbbbbb;
    font-size: 12px;
}
/* Mozilla Firefox 19+ */
.form-control::-moz-placeholder {
    color: bbbbbb;
    font-size: 12px;
}
/* Internet Explorer 10-11 */
.form-control:-ms-input-placeholder {
    color: #bbbbbb;
    font-size: 12px;
}
input[type=password]::-ms-reveal,
input[type=password]::-ms-clear {
    display: none;
}
/* Microsoft Edge */
.form-control::-ms-input-placeholder {
    color: #bbbbbb;
    font-size: 12px;
}

.change-user-form{
    padding-left: 15px;
    margin-top: 15px;
}

.caption-users-table {
    caption-side: top;
    font-size: 1rem;
    padding-top: unset;
}

.user-edit-scopes-table {
    text-align: center;
    width: 100%;
}

.thirty {
    width: 30%;
}

.twenty-five {
    width: 25%;
}

.twenty {
    width: 20%;
}

/* accessibility */
/*[type="checkbox"]:checked:focus + label:before,
[type="checkbox"]:not(:checked):focus + label:before {
  border: 2px dotted blue;
}*/

/* hover style just for information */
/*label:hover:before {
  border: 2px solid #4778d9!important;
}*/
